Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	3D Creation/Animation/Publishing System.
Name:		blender
Version:	2.49a
Release:	1
License:	GNU/GPL
URL:		http://www.blender.org
Group:		Multimedia/Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Sources
Source0:	%{name}-%{version}.tar.gz
Source200:	blender.png
Source201:	blender.desktop

# Patches
Patch0:		blender-2.40-dirs.patch
Patch1:		blender-2.44-scons.patch

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

# Manual build dependencies
BuildRequires: libvorbis-devel
BuildRequires: openssl-devel
#BuildRequires: yafray
BuildRequires: ftgl-devel
BuildRequires: scons

#Automatically resolved build dependencies
BuildRequires: freealut-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: ilmbase-devel
BuildRequires: libgcc
BuildRequires: libgomp
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: openal-devel
BuildRequires: OpenEXR-devel
BuildRequires: SDL-devel
BuildRequires: zlib-devel

%description
3D Creation/Animation/Publishing System.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %name-%version
 
%build
export CFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
export CXXFLAGS=$CFLAGS
rm -rf ../blender-build
mkdir ../blender-build
pushd ../blender-build
#export CFLAGS="$CFLAGS -I/usr/include/python2.5"
cmake -D CMAKE_INSTALL_PREFIX=%_prefix -D WITH_PLAYER=OFF -D WITH_QUICKTIME=OFF -D WITH_OPENMP=ON -D WITH_VERSE=ON -G "Unix Makefiles" ../%{name}-%{version}
make
popd
chmod 755 release/plugins/bmake
ln -sf ../../../source/blender/blenpluginapi/documentation.h release/plugins/texture
ln -sf ../../../source/blender/blenpluginapi/externdef.h release/plugins/texture
ln -sf ../../../source/blender/blenpluginapi/floatpatch.h release/plugins/texture
ln -sf ../../../source/blender/blenpluginapi/iff.h release/plugins/texture
ln -sf ../../../source/blender/blenpluginapi/plugin.h release/plugins/texture
ln -sf ../../../source/blender/blenpluginapi/util.h release/plugins/texture
ln -sf ../../../source/blender/blenpluginapi/documentation.h release/plugins/sequence
ln -sf ../../../source/blender/blenpluginapi/externdef.h release/plugins/sequence
ln -sf ../../../source/blender/blenpluginapi/floatpatch.h release/plugins/sequence
ln -sf ../../../source/blender/blenpluginapi/iff.h release/plugins/sequence
ln -sf ../../../source/blender/blenpluginapi/plugin.h release/plugins/sequence
ln -sf ../../../source/blender/blenpluginapi/util.h release/plugins/sequence

pushd release/plugins
make
popd

%install
rm -rf $RPM_BUILD_ROOT

pushd ../blender-build

# install binaries

mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 bin/blender $RPM_BUILD_ROOT%_bindir
#install -m 755 bin/blenderplayer $RPM_BUILD_ROOT%_bindir

mkdir -p $RPM_BUILD_ROOT%_datadir
mkdir -p $RPM_BUILD_ROOT%_libdir/blender

# install locales

pushd bin/.blender/locale
rm -rf $(find -name '.svn' -print)
popd
cp -a bin/.blender/locale $RPM_BUILD_ROOT%_datadir

cp -pPR bin/.blender/{.Blanguages,.bfont.ttf} $RPM_BUILD_ROOT%_libdir/blender/

popd

# install plugins

mkdir -p $RPM_BUILD_ROOT%_libdir/blender/{textures,sequences}
install -m 755 release/plugins/texture/*.so $RPM_BUILD_ROOT%_libdir/blender/textures/
install -m 755 release/plugins/sequence/*.so $RPM_BUILD_ROOT%_libdir/blender/sequences/

# install script files

pushd release/scripts
rm -rf $(find -name '.svn' -print)
popd

cp -pPR release/scripts/bpydata $RPM_BUILD_ROOT%_libdir/blender/
cp -pPR release/scripts $RPM_BUILD_ROOT%_libdir/blender/

# install desktop integration

mkdir -p $RPM_BUILD_ROOT%_pixmaps
install -m 644 %{SOURCE200} $RPM_BUILD_ROOT%_pixmaps
mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 %{SOURCE201} $RPM_BUILD_ROOT%_applications

# strip binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/
%_libdir/
%_datadir/locale/
%_pixmaps/
%_applications/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.49a-1
- Version update
- built against libjpeg 7
* Sun Dec 28 2008 Christian Wasem <wasem@ccux-linux.de> 2.48a-3
- specfile modified
* Tue Dec 09 2008 Christian Wasem <wasem@ccux-linux.de> 2.48a-2
- changed package group to Multimedia/Graphics
* Thu Nov 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.48a-1
- Version update
* Fri Oct 17 2008 Christian Metzen <metzench@ccux-linux.de> 2.48-1
- Version update
* Mon May 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.46-1
- Version update
- svn 14909 (release tarball doesn't compile)
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.45-3
- rebuilt against libstdc++ 1:4.1.2
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.45-2
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.45-1
- Version update
* Wed May 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.44-1
- Version update
* Tue Feb 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.43-1
- Version update
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.42a-4
- compiled against OpenEXR 1.4.0a
* Tue Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.42a-3
- compiled against python 2.5
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.42a-2
- compiled against X.org 7.1.1
* Sun Jul 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.42a-1
- Version Update
* Sun Jul 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.42-1
- Version Update
* Sat Apr 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.41-1
- Version Update
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.40-1
- Version Update
* Sat Nov 26 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.37a-1
- Initial Release
